<?php
/**
 * Theme Page
 *
 * @package Expert Business Consultant
 */

if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_FREE_THEME_URL' ) ) {
	define( 'EXPERT_BUSINESS_CONSULTANT_FREE_THEME_URL', 'https://www.seothemesexpert.com/wordpress/free-consultant-wordpress-theme/' );
}
if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_PRO_THEME_URL' ) ) {
	define( 'EXPERT_BUSINESS_CONSULTANT_PRO_THEME_URL', 'https://www.seothemesexpert.com/wordpress/business-consultant-website-template/' );
}
if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_FREE_DOC_URL' ) ) {
	define( 'EXPERT_BUSINESS_CONSULTANT_FREE_DOC_URL', 'https://seothemesexpert.com/documentation/expert-business-consultant/' );
}
if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_DEMO_THEME_URL' ) ) {
	define( 'EXPERT_BUSINESS_CONSULTANT_DEMO_THEME_URL', 'https://seothemesexpert.com/demo/expert-business-consultant/' );
}
if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_DOCS_THEME_URL' ) ) {
    define( 'EXPERT_BUSINESS_CONSULTANT_DOCS_THEME_URL', 'https://www.seothemesexpert.com/docs/expert-business-consultant-website-template-pro/' );
}
if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_RATE_THEME_URL' ) ) {
    define( 'EXPERT_BUSINESS_CONSULTANT_RATE_THEME_URL', 'https://wordpress.org/support/theme/expert-business-consultant/reviews/#new-post' );
}
if ( ! defined( 'EXPERT_BUSINESS_CONSULTANT_SUPPORT_THEME_URL' ) ) {
    define( 'EXPERT_BUSINESS_CONSULTANT_SUPPORT_THEME_URL', 'https://wordpress.org/support/theme/expert-business-consultant/' );
}

/**
 * Add theme page
 */
function expert_business_consultant_menu() {
	add_theme_page( esc_html__( 'About Theme', 'expert-business-consultant' ), esc_html__( 'About Theme', 'expert-business-consultant' ), 'edit_theme_options', 'expert-business-consultant-about', 'expert_business_consultant_about_display' );
}
add_action( 'admin_menu', 'expert_business_consultant_menu' );

/**
 * Display About page
 */
function expert_business_consultant_about_display() { ?>
	<div class="wrap about-wrap full-width-layout">		
		<nav class="nav-tab-wrapper wp-clearfix" aria-label="<?php esc_attr_e( 'Secondary menu', 'expert-business-consultant' ); ?>">
			<a href="<?php echo esc_url( admin_url( add_query_arg( array( 'page' => 'expert-business-consultant-about' ), 'themes.php' ) ) ); ?>" class="nav-tab<?php echo ( isset( $_GET['page'] ) && 'expert-business-consultant-about' === $_GET['page'] && ! isset( $_GET['tab'] ) ) ?' nav-tab-active' : ''; ?>"><?php esc_html_e( 'About', 'expert-business-consultant' ); ?></a>

			<a href="<?php echo esc_url( admin_url( add_query_arg( array( 'page' => 'expert-business-consultant-about', 'tab' => 'free_vs_pro' ), 'themes.php' ) ) ); ?>" class="nav-tab<?php echo ( isset( $_GET['tab'] ) && 'free_vs_pro' === $_GET['tab'] ) ?' nav-tab-active' : ''; ?>"><?php esc_html_e( 'Compare free Vs Pro', 'expert-business-consultant' ); ?></a>
		</nav>

		<?php
			expert_business_consultant_main_screen();

			expert_business_consultant_free_vs_pro();
		?>

		<div class="return-to-dashboard">
			<?php if ( current_user_can( 'update_core' ) && isset( $_GET['updated'] ) ) : ?>
				<a href="<?php echo esc_url( self_admin_url( 'update-core.php' ) ); ?>" target="_blank">
					<?php is_multisite() ? esc_html_e( 'Return to Updates', 'expert-business-consultant' ) : esc_html_e( 'Return to Dashboard &rarr; Updates', 'expert-business-consultant' ); ?>
				</a> |
			<?php endif; ?>
			<a href="<?php echo esc_url( self_admin_url() ); ?>" target="_blank"><?php is_blog_admin() ? esc_html_e( 'Go to Dashboard &rarr; Home', 'expert-business-consultant' ) : esc_html_e( 'Go to Dashboard', 'expert-business-consultant' ); ?></a>
		</div>
	</div>
	<?php
}

/**
 * Output the main about screen.
 */
function expert_business_consultant_main_screen() {
	if ( isset( $_GET['page'] ) && 'expert-business-consultant-about' === $_GET['page'] && ! isset( $_GET['tab'] ) ) {
	?>
		<div class="main-col-box">
			<div class="feature-section two-col">
				<div class="card">
					<h2 class="title"><?php esc_html_e( 'Upgrade To Pro', 'expert-business-consultant' ); ?></h2>
					<p><?php esc_html_e( 'Take a step towards excellence, try our premium theme. Use Code', 'expert-business-consultant' ) ?><span class="usecode"><?php esc_html_e('" STEPro10 "', 'expert-business-consultant'); ?></span></p>
					<p><a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_PRO_THEME_URL ); ?>" class="button button-primary" target="_blank"><?php esc_html_e( 'Upgrade Pro', 'expert-business-consultant' ); ?></a></p>
				</div>

				<div class="card">
					<h2 class="title"><?php esc_html_e( 'Lite Documentation', 'expert-business-consultant' ); ?></h2>
					<p><?php esc_html_e( 'The free theme documentation can help you set up the theme.', 'expert-business-consultant' ) ?></p>
					<p><a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_FREE_DOC_URL ); ?>" class="button button-primary" target="_blank"><?php esc_html_e( 'Lite Documentation', 'expert-business-consultant' ); ?></a></p>
				</div>

				<div class="card">
					<h2 class="title"><?php esc_html_e( 'Theme Info', 'expert-business-consultant' ); ?></h2>
					<p><?php esc_html_e( 'Know more about Expert Business Consultant.', 'expert-business-consultant' ) ?></p>
					<p><a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_FREE_THEME_URL ); ?>" class="button button-primary" target="_blank"><?php esc_html_e( 'Theme Info', 'expert-business-consultant' ); ?></a></p>
				</div>

				<div class="card">
					<h2 class="title"><?php esc_html_e( 'Theme Customizer', 'expert-business-consultant' ); ?></h2>
					<p><?php esc_html_e( 'You can get all theme options in customizer.', 'expert-business-consultant' ) ?></p>
					<p><a href="<?php echo esc_url( admin_url( 'customize.php' ) ); ?>" class="button button-primary" target="_blank"><?php esc_html_e( 'Customize', 'expert-business-consultant' ); ?></a></p>
				</div>

				<div class="card">
					<h2 class="title"><?php esc_html_e( 'Need Support?', 'expert-business-consultant' ); ?></h2>
					<p><?php esc_html_e( 'If you are having some issues with the theme or you want to tweak some thing, you can contact us our expert team will help you.', 'expert-business-consultant' ) ?></p>
					<p><a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_SUPPORT_THEME_URL ); ?>" class="button button-primary" target="_blank"><?php esc_html_e( 'Support Forum', 'expert-business-consultant' ); ?></a></p>
				</div>

				<div class="card">
					<h2 class="title"><?php esc_html_e( 'Review', 'expert-business-consultant' ); ?></h2>
					<p><?php esc_html_e( 'If you have loved our theme please show your support with the review.', 'expert-business-consultant' ) ?></p>
					<p><a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_RATE_THEME_URL ); ?>" class="button button-primary" target="_blank"><?php esc_html_e( 'Rate Us', 'expert-business-consultant' ); ?></a></p>
				</div>		
			</div>
			<div class="about-theme">
				<?php $expert_business_consultant_theme = wp_get_theme(); ?>

				<h1><?php echo esc_html( $expert_business_consultant_theme ); ?></h1>
				<p class="version"><?php esc_html_e( 'Version', 'expert-business-consultant' ); ?>: <?php echo esc_html($expert_business_consultant_theme['Version']);?></p>
				<div class="theme-description">
					<p class="actions">
						<a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_PRO_THEME_URL ); ?>" class="protheme button button-secondary" target="_blank"><?php esc_html_e( 'Upgrade to pro', 'expert-business-consultant' ); ?></a>

						<a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_DEMO_THEME_URL ); ?>" class="demo button button-secondary" target="_blank"><?php esc_html_e( 'View Demo', 'expert-business-consultant' ); ?></a>

						<a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_DOCS_THEME_URL ); ?>" class="docs button button-secondary" target="_blank"><?php esc_html_e( 'Theme Instructions', 'expert-business-consultant' ); ?></a>
					</p>
				</div>
				<div class="theme-screenshot">
					<img src="<?php echo esc_url( $expert_business_consultant_theme->get_screenshot() ); ?>" />
				</div>
			</div>
		</div>
	<?php
	}
}

/**
 * Import Demo data for theme using catch themes demo import plugin
 */
function expert_business_consultant_free_vs_pro() {
	if ( isset( $_GET['tab'] ) && 'free_vs_pro' === $_GET['tab'] ) {
	?>
		<div class="wrap about-wrap">

			<div class="theme-description">
				<p class="actions">
					<a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_PRO_THEME_URL ); ?>" class="protheme button button-secondary" target="_blank"><?php esc_html_e( 'Upgrade to pro', 'expert-business-consultant' ); ?></a>

					<a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_DEMO_THEME_URL ); ?>" class="demo button button-secondary" target="_blank"><?php esc_html_e( 'View Demo', 'expert-business-consultant' ); ?></a>

					<a href="<?php echo esc_url( EXPERT_BUSINESS_CONSULTANT_DOCS_THEME_URL ); ?>" class="docs button button-secondary" target="_blank"><?php esc_html_e( 'Theme Instructions', 'expert-business-consultant' ); ?></a>
				</p>
			</div>
			<p class="about-description"><?php esc_html_e( 'View Free vs Pro Table below:', 'expert-business-consultant' ); ?></p>
			<div class="vs-theme-table">
				<table>
					<thead>
						<tr><th scope="col"></th>
							<th class="head" scope="col"><?php esc_html_e( 'Free Theme', 'expert-business-consultant' ); ?></th>
							<th class="head" scope="col"><?php esc_html_e( 'Pro Theme', 'expert-business-consultant' ); ?></th>
						</tr>
					</thead>
					<tbody>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><span><?php esc_html_e( 'One click demo import', 'expert-business-consultant' ); ?></span></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Color pallete and font options', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Demo Content has 8 to 10 sections', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Rearrange sections as per your need', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Internal Pages', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Plugin Integration', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Ultimate technical support', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Access our Support Forums', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Get regular updates', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-no-alt"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Install theme on unlimited domains', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-saved"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Mobile Responsive', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-saved"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td headers="features" class="feature"><?php esc_html_e( 'Easy Customization', 'expert-business-consultant' ); ?></td>
							<td><span class="dashicons dashicons-saved"></span></td>
							<td><span class="dashicons dashicons-saved"></span></td>
						</tr>
						<tr class="odd" scope="row">
							<td class="feature feature--empty"></td>
							<td class="feature feature--empty"></td>
							<td headers="comp-2" class="td-btn-2"><a class="sidebar-button single-btn protheme button button-secondary" href="<?php echo esc_url(EXPERT_BUSINESS_CONSULTANT_PRO_THEME_URL);?>" target="_blank"><?php esc_html_e( 'Go for Premium', 'expert-business-consultant' ); ?></a></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	<?php
	}
}