<?php
function expert_business_consultant_post_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'expert_business_consultant_post', array(
			'priority' => 31,
			'title' => esc_html__( 'Post Option', 'expert-business-consultant' ),
		)
	);

	/*=========================================
	Archive Post  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_business_consultant_archive_post_setting', array(
			'title' => esc_html__( 'Archive Post', 'expert-business-consultant' ),
			'priority' => 1,
			'panel' => 'expert_business_consultant_post',
		)
	);
		
	// Post Heading Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_heading_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
		'expert_business_consultant_post_heading_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Heading', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_heading_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Content Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_content_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_post_content_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Content', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_content_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Featured Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_featured_image_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_post_featured_image_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Feature Image', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_featured_image_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_date_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_post_date_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Date', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_date_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_comments_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_post_comments_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Comment', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_comments_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_author_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_post_author_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Author', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_author_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Tags Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_post_tags_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_post_tags_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Tags', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_archive_post_setting',
			'settings'    => 'expert_business_consultant_post_tags_settings',
			'type'        => 'checkbox'
		) 
	);

	/*=========================================
	Single Post  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_business_consultant_single_post', array(
			'title' => esc_html__( 'Single Post', 'expert-business-consultant' ),
			'priority' => 3,
			'panel' => 'expert_business_consultant_post',
		)
	);
	
	// Post Heading Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_heading_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_heading_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Heading', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_heading_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Content Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_content_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_content_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Content', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_content_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Featured Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_featured_image_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_featured_image_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Feature Image', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_featured_image_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_date_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_date_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Date', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_date_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_comments_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_comments_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Comment', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_comments_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_author_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_author_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Author', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_author_settings',
			'type'        => 'checkbox'
		) 
	);
	// Post Tags Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_single_post_tags_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_single_post_tags_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Tags', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_single_post',
			'settings'    => 'expert_business_consultant_single_post_tags_settings',
			'type'        => 'checkbox'
		) 
	);
}

add_action( 'customize_register', 'expert_business_consultant_post_setting' );