<?php
function expert_business_consultant_upper_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	Social Media
	=========================================*/
	$wp_customize->add_section(
        'expert_business_consultant_upper_header',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Information','expert-business-consultant'),
			'panel'  		=> 'expert_business_consultant_header_section',
		)
    );

    // Slider Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_business_consultant_display_topbar' , 
			array(
			'default' => false,
			'sanitize_callback' => 'expert_business_consultant_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_business_consultant_display_topbar', 
		array(
			'label'	      => esc_html__( 'Show / Hide Top Header', 'expert-business-consultant' ),
			'section'     => 'expert_business_consultant_upper_header',
			'settings'    => 'expert_business_consultant_display_topbar',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting(
		'expert_business_consultant_call',
		array(
			'default'=> '',
			'sanitize_callback'	=> 'expert_business_consultant_sanitize_phone_number'
		)
	);

	$wp_customize->add_control(
		'expert_business_consultant_call',array(
			'label'	=> __('Add Phone Number','expert-business-consultant'),
			'section'=> 'expert_business_consultant_upper_header',
			'type'=> 'text'
		)
	);

	$wp_customize->add_setting(
		'expert_business_consultant_mail',array(
			'default'=> '',
			'sanitize_callback'	=> 'sanitize_email'
		)
	);

	$wp_customize->add_control(
		'expert_business_consultant_mail',array(
			'label'	=> __('Add Mail Address','expert-business-consultant'),
			'section'=> 'expert_business_consultant_upper_header',
			'type'=> 'text'
		)
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_register_btn_text',
    	array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_business_consultant_register_btn_text',
		array(
		    'label'   		=> __('Add Register Button Text','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_upper_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_register_btn_link',
    	array(
			'default' => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control( 
		'expert_business_consultant_register_btn_link',
		array(
		    'label'   		=> __('Add Register Button Link','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_upper_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_login_btn_text',
    	array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_business_consultant_login_btn_text',
		array(
		    'label'   		=> __('Add Login Button Text','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_upper_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_login_btn_link',
    	array(
			'default' => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control( 
		'expert_business_consultant_login_btn_link',
		array(
		    'label'   		=> __('Add Login Button Link','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_upper_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_header_btn_text',
    	array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_business_consultant_header_btn_text',
		array(
		    'label'   		=> __('Button Text','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_upper_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_business_consultant_header_btn_link',
    	array(
			'default' => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control( 
		'expert_business_consultant_header_btn_link',
		array(
		    'label'   		=> __('Button Link','expert-business-consultant'),
		    'section'		=> 'expert_business_consultant_upper_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)
	);
}
add_action( 'customize_register', 'expert_business_consultant_upper_header_settings' );